Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
AbsoluteTimeDateFormat Class Reference

Formats a date in the format HH:mm:ss,SSS for example, "15:49:37,459". More...

Inherits SimpleDateFormat.

## Public Member Functions
| AbsoluteTimeDateFormat ()
Public Member Functions inherited from SimpleDateFormat
| SimpleDateFormat (const LogString &pattern)
| Constructs a DateFormat using the given pattern and the default time zone. More...
| SimpleDateFormat (const LogString &pattern, const std::locale *locale)
| ~SimpleDateFormat ()
virtual void | format (LogString &s, log4cxx_time_t tm, log4cxx::helpers::Pool &p) const
| Formats an log4cxx_time_t into a date/time string. More...
void | setTimeZone (const TimeZonePtr &zone)
| Set time zone. More...
Public Member Functions inherited from DateFormat
virtual | ~DateFormat ()
| Destructor. More...
virtual void | numberFormat (LogString &s, int n, log4cxx::helpers::Pool &p) const
| Format an integer consistent with the format method. More...
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Additional Inherited Members
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Member Functions inherited from DateFormat
| DateFormat ()
| Constructor. More...
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

Formats a date in the format HH:mm:ss,SSS for example, "15:49:37,459".

## Constructor & Destructor Documentation

AbsoluteTimeDateFormat | ( |  | ) |
| inline

The documentation for this class was generated from the following file:

- absolutetimedateformat.h